## smail-3.2.0.115.tar.bz2

=== pd/uuwho/Makefile ===
#
#ident	"@(#)smail/pd/uuwho:RELEASE-3_2_0_115:Makefile,v 1.21 2003/06/18 07:03:36 woods Exp"
#
# Makefile for uuwho

SHELL=/bin/sh
AR=ar
LINT=lint

MKDEPEND=${ROOT}/conf/lib/mkdepend.sh
MKDEFS=${ROOT}/conf/lib/mkdefs.sh
CHECKDEFS=${ROOT}/conf/lib/checkdefs.sh
MKDIRS=${ROOT}/conf/lib/mkdirs.sh
INST=${ROOT}/conf/lib/inst.sh
INSTM=${ROOT}/conf/lib/instm.sh
XEXEC=${SHELL} ${ROOT}/conf/lib/xexec.sh
DEFS_SH=defs.sh
DEFS_H=defs.h
DEFS_SED=defs.sed

ROOT=../..
INCLUDES=-I${SMAILSRC} $$DBM_INCLUDES -I${ROOT}/util $$INCLUDES
SMAILSRC=${ROOT}/src
TARGETS=uuwho
CSRC=uuwho.c
MISCSRC=Makefile
SRC=${CSRC} ${MISCSRC}
OBJ=uuwho.o
COMPAT_LIB_DIR=${ROOT}/compat
COMPAT_LIB=${COMPAT_LIB_DIR}/libcompat.a

all:	${TARGETS}

uuwho: uuwho.o ${DEFS_SH} ${COMPAT_LIB}
	@. ./${DEFS_SH}; ${XEXEC} $$CC $$CFLAGS $$LDFLAGS uuwho.o -o uuwho \
		$$LIBS $$DBM_LIB ${COMPAT_LIB}

uuwho.o: uuwho.c ${DEFS_SH}
	@. ./${DEFS_SH}; ${XEXEC} $$CC $$CFLAGS ${INCLUDES} -c uuwho.c

${COMPAT_LIB}: .MAKE
	@if [ -f ${COMPAT_LIB_DIR}/.depend ] ; then 	\
		DEPMKFILE="-f Makefile -f .depend";	\
	fi;						\
	echo "cd ${COMPAT_LIB_DIR} && ${MAKE} $$DEPMKFILE all";	\
	cd ${COMPAT_LIB_DIR} && ${MAKE} $$DEPMKFILE all

mkdefs ${DEFS_H} ${DEFS_SH} ${DEFS_SED}: ${ROOT}/conf/EDITME
	ROOT=${ROOT} ${SHELL} ${MKDEFS}

${ROOT}/conf/EDITME: .MAKE # cannot depend on anything else!
	cd ${ROOT}/conf && ${MAKE} EDITME

depend: ${SRC} check_defs
	. ./${DEFS_SH}; ${SHELL} ${MKDEPEND} $$CPPFLAGS ${INCLUDES} ${CSRC}
	. ./${DEFS_SH}; echo "$$DEFS_DEPEND" >> .depend

check_defs:
	SHELL=${SHELL} ROOT=${ROOT} ${SHELL} ${CHECKDEFS}

install: ${TARGETS} ${DEFS_SH}
	@. ./${DEFS_SH}; \
	   case "$$DONT_INSTALL" in \
	   ?*)	echo Testing ... install ignored; exit 0;;\
	   esac; \
	   ${XEXEC} ${SHELL} ${MKDIRS} -m 0755 $$SMAIL_BIN_DIR $$LIB_DIR; \
	   s_flag=; \
	   case "$$STRIP" in \
	   ?*)	s_flag=-s;;\
	   esac; \
	   ${XEXEC} ${SHELL} ${INSTM} $$s_flag -m 0555 $$SMAIL_BIN_DIR ${TARGETS}

clean:
	rm -f .${DEFS_SH} .${DEFS_H} .${DEFS_SED}
	rm -f ${OBJ} core a.out

clobber: clean
	rm -f .depend
	rm -f ${DEFS_SH} ${DEFS_H} ${DEFS_SED}
	rm -f ${TARGETS}

.MAKE:

.PHONY: all install local-install clean local-clean clobber local-clobber depend local-depend lint mkdefs check_defs tags TAGS
.PHONY: .MAKE

=== src/directors/Makefile ===
# Makefile for the directors driver library in smail

# THIS FILE IS GENERATED AUTOMATICALLY BY THE SCRIPT mkdrivtab.sh FROM
# THE DRIVER CONFIGURATION FILE ../conf/driver/arpa-network
# MAKE CHANGES TO THE DRIVER CONF FILE AND REBUILD RATHER THAN EDITING

SHELL=/bin/sh
AR=ar
LINT=lint
CC=cc
ROOT=../..
MKDEPEND=${ROOT}/conf/lib/mkdepend.sh
MKDEFS=${ROOT}/conf/lib/mkdefs.sh
CHECKDEFS=${ROOT}/conf/lib/checkdefs.sh
XEXEC=${SHELL} ${ROOT}/conf/lib/xexec.sh
DEFS_SH=defs.sh
DEFS_H=defs.h
DEFS_SED=defs.sed

TARGET_LIB=ddrivlib.a 
OBJ= include.o altuser.o smartuser.o fwdfile.o user.o aliasfile.o
CSRC= include.c altuser.c smartuser.c fwdfile.c user.c aliasfile.c
HSRC= user.h aliasfile.h include.h altuser.h smartuser.h fwdfile.h
SRC=${CSRC} ${HSRC}

.c.o:
	@. ./${DEFS_SH}; ${XEXEC} $$CC $$CFLAGS $$INCLUDES -c $*.c

all:	${TARGET_LIB}

lint:	${CSRC} ${DEFS_SH}
	@. ./${DEFS_SH}; ${XEXEC} ${LINT} ${LINTFLAGS} ${CSRC}

${TARGET_LIB}: ${OBJ} Makefile ${DEFS_SH}
	rm -f ${TARGET_LIB}
	${AR} cr ${TARGET_LIB} ${OBJ}
	@. ./${DEFS_SH}; ${XEXEC} $$RANLIB ${TARGET_LIB}

csrc:
	@echo ${CSRC}

hsrc:
	@echo ${HSRC}

sources: ${SRC}

mkdefs ${DEFS_H} ${DEFS_SH} ${DEFS_SED}: ${ROOT}/conf/EDITME
	ROOT=${ROOT} ${SHELL} ${MKDEFS}

${OBJ}:	${DEFS_SH}

depend:	${SRC} check_defs
	@rm -f .depend
	@. ./${DEFS_SH}; ${XEXEC} ${SHELL} ${MKDEPEND} $$CPPFLAGS $$INCLUDES ${CSRC}
	. ./${DEFS_SH}; echo "$$DEFS_DEPEND" >> .depend

check_defs:
	SHELL=${SHELL} ROOT=${ROOT} ${SHELL} ${CHECKDEFS}

${ROOT}/conf/EDITME: .MAKE
	cd ${ROOT}/conf && ${MAKE} EDITME

clean:
	rm -f .${DEFS_SH} .${DEFS_H} .${DEFS_SED} .Makefile
	rm -f a.out core ${OBJ}
	rm -f ${TARGET_LIB}

clobber: clean
	rm -f .depend
	rm -f ${DEFS_SH} ${DEFS_H} ${DEFS_SED}
	rm -f Makefile

.MAKE:

.PHONY: all install local-install clean local-clean clobber local-clobber depend local-depend lint mkdefs check_defs tags TAGS
.PHONY: .MAKE csrc hsrc sources

=== src/routers/Makefile ===
# Makefile for the routers driver library in smail

# THIS FILE IS GENERATED AUTOMATICALLY BY THE SCRIPT mkdrivtab.sh FROM
# THE DRIVER CONFIGURATION FILE ../conf/driver/arpa-network
# MAKE CHANGES TO THE DRIVER CONF FILE AND REBUILD RATHER THAN EDITING

SHELL=/bin/sh
AR=ar
LINT=lint
CC=cc
ROOT=../..
MKDEPEND=${ROOT}/conf/lib/mkdepend.sh
MKDEFS=${ROOT}/conf/lib/mkdefs.sh
CHECKDEFS=${ROOT}/conf/lib/checkdefs.sh
XEXEC=${SHELL} ${ROOT}/conf/lib/xexec.sh
DEFS_SH=defs.sh
DEFS_H=defs.h
DEFS_SED=defs.sed

TARGET_LIB=rdrivlib.a 
OBJ= gethost.o bind.o reroute.o smarthost.o uuname.o pathalias.o rewrite.o queryprog.o rtlib.o
CSRC= gethost.c bind.c reroute.c smarthost.c uuname.c pathalias.c rewrite.c queryprog.c rtlib.c
HSRC= pathalias.h rewrite.h queryprog.h gethost.h bind.h reroute.h smarthost.h uuname.h rtlib.h
SRC=${CSRC} ${HSRC}

.c.o:
	@. ./${DEFS_SH}; ${XEXEC} $$CC $$CFLAGS $$INCLUDES -c $*.c

all:	${TARGET_LIB}

lint:	${CSRC} ${DEFS_SH}
	@. ./${DEFS_SH}; ${XEXEC} ${LINT} ${LINTFLAGS} ${CSRC}

${TARGET_LIB}: ${OBJ} Makefile ${DEFS_SH}
	rm -f ${TARGET_LIB}
	${AR} cr ${TARGET_LIB} ${OBJ}
	@. ./${DEFS_SH}; ${XEXEC} $$RANLIB ${TARGET_LIB}

csrc:
	@echo ${CSRC}

hsrc:
	@echo ${HSRC}

sources: ${SRC}

mkdefs ${DEFS_H} ${DEFS_SH} ${DEFS_SED}: ${ROOT}/conf/EDITME
	ROOT=${ROOT} ${SHELL} ${MKDEFS}

${OBJ}:	${DEFS_SH}

depend:	${SRC} check_defs
	@rm -f .depend
	@. ./${DEFS_SH}; ${XEXEC} ${SHELL} ${MKDEPEND} $$CPPFLAGS $$INCLUDES ${CSRC}
	. ./${DEFS_SH}; echo "$$DEFS_DEPEND" >> .depend

check_defs:
	SHELL=${SHELL} ROOT=${ROOT} ${SHELL} ${CHECKDEFS}

${ROOT}/conf/EDITME: .MAKE
	cd ${ROOT}/conf && ${MAKE} EDITME

clean:
	rm -f .${DEFS_SH} .${DEFS_H} .${DEFS_SED} .Makefile
	rm -f a.out core ${OBJ}
	rm -f ${TARGET_LIB}

clobber: clean
	rm -f .depend
	rm -f ${DEFS_SH} ${DEFS_H} ${DEFS_SED}
	rm -f Makefile

.MAKE:

.PHONY: all install local-install clean local-clean clobber local-clobber depend local-depend lint mkdefs check_defs tags TAGS
.PHONY: .MAKE csrc hsrc sources

=== src/transports/Makefile ===
# Makefile for the transports driver library in smail

# THIS FILE IS GENERATED AUTOMATICALLY BY THE SCRIPT mkdrivtab.sh FROM
# THE DRIVER CONFIGURATION FILE ../conf/driver/arpa-network
# MAKE CHANGES TO THE DRIVER CONF FILE AND REBUILD RATHER THAN EDITING

SHELL=/bin/sh
AR=ar
LINT=lint
CC=cc
ROOT=../..
MKDEPEND=${ROOT}/conf/lib/mkdepend.sh
MKDEFS=${ROOT}/conf/lib/mkdefs.sh
CHECKDEFS=${ROOT}/conf/lib/checkdefs.sh
XEXEC=${SHELL} ${ROOT}/conf/lib/xexec.sh
DEFS_SH=defs.sh
DEFS_H=defs.h
DEFS_SED=defs.sed

TARGET_LIB=tdrivlib.a 
OBJ= pipe.o tcpsmtp.o appendfile.o smtplib.o
CSRC= pipe.c tcpsmtp.c appendfile.c smtplib.c
HSRC= appendfile.h smtplib.h pipe.h tcpsmtp.h
SRC=${CSRC} ${HSRC}

.c.o:
	@. ./${DEFS_SH}; ${XEXEC} $$CC $$CFLAGS $$INCLUDES -c $*.c

all:	${TARGET_LIB}

lint:	${CSRC} ${DEFS_SH}
	@. ./${DEFS_SH}; ${XEXEC} ${LINT} ${LINTFLAGS} ${CSRC}

${TARGET_LIB}: ${OBJ} Makefile ${DEFS_SH}
	rm -f ${TARGET_LIB}
	${AR} cr ${TARGET_LIB} ${OBJ}
	@. ./${DEFS_SH}; ${XEXEC} $$RANLIB ${TARGET_LIB}

csrc:
	@echo ${CSRC}

hsrc:
	@echo ${HSRC}

sources: ${SRC}

mkdefs ${DEFS_H} ${DEFS_SH} ${DEFS_SED}: ${ROOT}/conf/EDITME
	ROOT=${ROOT} ${SHELL} ${MKDEFS}

${OBJ}:	${DEFS_SH}

depend:	${SRC} check_defs
	@rm -f .depend
	@. ./${DEFS_SH}; ${XEXEC} ${SHELL} ${MKDEPEND} $$CPPFLAGS $$INCLUDES ${CSRC}
	. ./${DEFS_SH}; echo "$$DEFS_DEPEND" >> .depend

check_defs:
	SHELL=${SHELL} ROOT=${ROOT} ${SHELL} ${CHECKDEFS}

${ROOT}/conf/EDITME: .MAKE
	cd ${ROOT}/conf && ${MAKE} EDITME

clean:
	rm -f .${DEFS_SH} .${DEFS_H} .${DEFS_SED} .Makefile
	rm -f a.out core ${OBJ}
	rm -f ${TARGET_LIB}

clobber: clean
	rm -f .depend
	rm -f ${DEFS_SH} ${DEFS_H} ${DEFS_SED}
	rm -f Makefile

.MAKE:

.PHONY: all install local-install clean local-clean clobber local-clobber depend local-depend lint mkdefs check_defs tags TAGS
.PHONY: .MAKE csrc hsrc sources

=== debian/changelog ===
smail (3.2.0.115-7.1) unstable; urgency=low

  * NMU
  * Fix FTBFS on amd64 with errno (Closes: #280337)
  * Fix bad linebreak in debian/rules (Closes: #356855)
  * Bump standards version
  * Add a dependency against netbase (pre/post script)
  * Bump DH_COMPAT to 4

 -- Julien Danjou <acid@debian.org>  Fri, 21 Apr 2006 14:49:52 +0200

smail (3.2.0.115-7) unstable; urgency=high

  * Added patch to fix security vulnerability. (Closes: #301428)

 -- Hector Garcia <hector@debian.org>  Sun,  27 Mar 2005 23:21:43 +0100

smail (3.2.0.115-6) unstable; urgency=low

  * Deleted ^ from checkerr since is implicitly added at the beginning of
    expr expresions. (Closes: #271021, #207676, #217398, #280813)
  * Checkerr is now invoked as root as it should. (Closes: #255110)
  * Made change suggested by Andrew Buckeridge to avoid backscatter
    relay. (Closes: #279629)

 -- Hector Garcia <hector@debian.org>  Sun,  6 Mar 2005 19:21:43 +0100

smail (3.2.0.115-5.1) unstable; urgency=low

  * Non-maintainer upload
  * Remove spool and log on purge (closes: #245391)
    Patch by Peter Eisentraut
  * Fix detection of build user so that build doesn't fail
    in pbuilder (Closes: #249748) Patch by Matt Kraai
  * Drop build-depends on libc6-dev. It's build-essential.

 -- Frank Lichtenheld <djpig@debian.org>  Sun,  1 Aug 2004 16:36:38 +0200

smail (3.2.0.115-5) unstable; urgency=low

  * Added patch proposed by Jordi to fix debian/fix_sudo from no executing
    due lo lack of executing permisions. (Closes: #210958)

 -- Hector Garcia <hector@debian.org>  Sat, 20 Sep 2003 20:23:22 +0200

smail (3.2.0.115-4) unstable; urgency=low

  * Removed bashisms from /debian/rules. (Closes: #205420)
  * Applyed patch from Guillem to build on ia64. (Closes: #205299)
  * Created debian/fix_sudo to fix premisions on files created on
    debian/rules clean. (Closes: #202121)
  * Fixed /usr/lib/smail/logsumm.awk so doesn't break when received only one
    message.
  * Applied patch suggested by Vincent Starre. (Closes: #206043)

 -- Hector Garcia <hector@debian.org>  Sun, 14 Sep 2003 19:30:39 +0200

smail (3.2.0.115-3) unstable; urgency=low

  * Added patch to include www-data into the /etc/alias file. (Closes: #41240)
  * Added a depend on groff. (Closes: #201178)

 -- Hector Garcia <hector@debian.org>  Mon, 14 Jul 2003 16:20:31 +0200
  

smail (3.2.0.115-2) unstable; urgency=low

  * Finally removed all dependencies on libgdbm. (Closes: #201135)
  * Created (Guillem Jover not me) a test to compile on 32 or 64bits depending
    on arch.

 -- Hector Garcia <hector@debian.org>  Mon, 14 Jul 2003 00:51:00 +0100
 

smail (3.2.0.115-1) unstable; urgency=low

  * New upstream version.
    - Added an option to not depend on dbm nor nbm. (Closes: #196337, #201048)
  * Added LC_ALL=C at begining of rules file prevents locales from breaking
    compilation. (Closes: #201051, #191182).
  * Changed all /var/spool/mail to /var/mail (Closes: #168545).
  * Fixed postinst to restart smail on upgrade. (Closes: #118493).
  * Lines on smailconfig are no longer than 80 chars. (Closes: #23429). 

 -- Hector Garcia <hector@debian.org>  Sun, 13 Jul 2003 19:21:00 +0100

smail (3.2.0.114-5) unstable; urgency=low

  * Removed build depend on libdb1-dev and added to libgdbmg1-dev the
    compatibility library.
  * Rebuild against libgdbmg1.

 -- Hector Garcia <hector@debian.org>  Wed, 14 Aug 2002 17:21:00 +0100

smail (3.2.0.114-4) unstable; urgency=low

  * Fixed misspell in postinst. (closes: #123625)
  * Closing fixed bug. (closes: #119256)

 -- Hector Garcia <hector@debian.org>  Wed, 12 Dec 2001 16:15:45 +0100
  

smail (3.2.0.114-3) unstable; urgency=low

  * Fixed problems with symbolic links. (closes: #123553)

 -- Hector Garcia <hector@debian.org>  Wed, 12 Dec 2001 11:15:45 +0100
 

smail (3.2.0.114-2) unstable; urgency=low

  * Fixed default conf to not show Bcc lines. (closes: #119376)
  * Changes grep in /etc/init.d/smail to search only for a line begining with
    smtp in /etc/inetd.conf regardles of being followed by a space or a \t.
    (closes: #100758, #96783, #95790)
  * Applied a patch to make it build on Hurd (most of it was already fixed
    upstream), suplied by Igor Khavkine. Thanks. (closes: #99085)
  * Disabled new paranoid HELLO response checking to be consistent with prior
    smail behavior. (closes: #118737, #116042)
  * Cleaned some bashiming from rules. (closes: #119050)
  * Linked missing manpages. (closes: #103919)
  * Fixed mkaliases man page. (closes: #41684)
  
 -- Hector Garcia <hector@debian.org>  Sun, 02 Dec 2001 20:15:45 +0100

smail (3.2.0.114-1) unstable; urgency=low

  * New upstream release.

 -- Hector Garcia <hector@debian.org>  Sat, 11 Aug 2001 20:15:45 +0100 

smail (3.2.0.111-7) unstable; urgency=low

  * Added a from_field definition that adds the '@hostname' to local
    generated mail and leaves mail from other machines with the from
    field untouched. (closes: #63037) 
  * Doing the set up the anti-relay rules. (closes: #35794, #69532)
  * All options are chosseable. Patch from Joey. Thanks. (closes: #79754)

 -- Hector Garcia <hector@scouts-es.org>  Sat, 26 Apr 2001 20:15:45 +0100 

smail (3.2.0.111-6) unstable; urgency=low

  * Adopted the package. (closes: #82202)
  * Fixed DOS bug. Didn't send pacth to upstream author yet because I cannot
    contact him. Now only accepts a maximun of 1024 bytes as stated
    by RFC-1869. (closes: #66595)
  * Making use of funtion available for current libident. (closes: #69165)
  * Now uses dpkg-statoverride instead of dh_suidregister.

 -- Hector Garcia <hector@scouts-es.org>  Sat, 10 Feb 2001 20:15:45 +0100

smail (3.2.0.111-5) unstable; urgency=low

  * Rebuild on a recent woody.
  * Link with libdb1 instead of libdb (needed to get it compiling).

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 16 Dec 2000 17:22:45 +0100

smail (3.2.0.111-4) unstable; urgency=low

  * Orphaned the package.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 10 Dec 2000 10:02:50 +0100



=== debian/control ===
Source: smail
Section: mail
Priority: extra
Maintainer: Hector Garcia <hector@debian.org>
Build-Depends: debhelper (>=4.1.52), libident-dev, libwrap0-dev, bison, groff
Standards-Version: 3.6.2

Package: smail
Architecture: any
Recommends: mail-reader 
Provides: mail-transport-agent
Depends: ${shlibs:Depends}, cron, netbase
Conflicts: mail-transport-agent
Description: Electronic mail transport system
 Smail is a mail transport agent (MTA).
 .
 An MTA is the innards of the mail system - it takes messages from
 user-friendly mailer programs and arranges for them to be delivered
 locally or passed on to other systems as required.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C

#export PREFIX:=$(shell pwd)/debian/smail
DIR:=$(shell pwd)

configure: configure-stamp
configure-stamp:
	set -e
	dh_testdir
	make debian/arch-test
	# Add here commands to configure the package.
	#ln -s EDITME-dist conf/EDITME
	cat conf/EDITME-dist > conf/EDITME
	debian/arch-test >> conf/EDITME

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	set -e
	dh_testdir

	# Add here commands to compile the package.
	(cd src && $(MAKE) iobpeek.h) 
	$(MAKE) depend

	$(MAKE)

	for f in `find . -name defs.sh`; do \
		echo munging "$$f" ... ; \
		d=`dirname $$f`/debian-defs.sh ; \
		perl -pe 's,(['"'"' ])/(usr|var|etc),$$1$(DIR)/debian/smail/$$2,g' $$f > $$d ; \
		touch -m -r $$f $$d ; \
	done

	(cd contrib/striphdrs&& make striphdrs)

	touch build-stamp

clean:
	set -e
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	
	# Add here commands to clean up after the build process.
	$(MAKE) clobber
	$(MAKE) clean
	rm -f debian/arch-test conf/EDITME	

	for f in `find . -name AUX-support -prune -false -o -name Makefile` ; do \
		perl -i.dep~ -ne 'print || die $$! if 1 .. /^# DO NOT REMOVE THIS LINE/' \
			$$f ; \
	done


	rm -f conf/EDITME contrib/striphdrs/striphdrs mkdep.out
	find . -name 'debian-defs.sh' -o -name '*~' -o -name '*.orig' -o -name '*.rej' -o -name '.Makefile' -o -name '.defs.h' \
	-o -name '#*#' | xargs rm -f -

	chmod +x debian/fix_sudo
	debian/fix_sudo
	
	dh_clean

install: build
	set -e
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/smail.

	$(MAKE) install MAKEFILES=$(DIR)/debian/overrides
	$(MAKE) installman MAKEFILES=$(DIR)/debian/overrides
	cp debian/smailconfig debian/smail/usr/sbin/
	cp debian/smailtest debian/smail/usr/sbin/
	cp contrib/striphdrs/striphdrs debian/smail/usr/sbin/striphdrs
	cp debian/crontab debian/smail/etc/smail/crontab
	cp debian/cronroot debian/smail/etc/cron.daily/smail
#	cp debian/aliases debian/smail/etc/aliases
	mkdir -p debian/smail/usr/lib/smail/
	cp debian/stalelog debian/smail/usr/lib/smail/
	rm debian/smail/etc/smail/COPYING
	#rm debian/smail/usr/share/doc/smail/INSTALL.gz

	find debian/smail -type l -ls | perl -n debian/mungelinks
	#rm debian/smail/usr/sbin/mailq debian/smail/usr/sbin/runq
	mv debian/smail/usr/sbin/smtpd debian/smail/usr/sbin/in.smtpd
	mv debian/smail/usr/share/man/man8/smtpd.8  debian/smail/usr/share/man/man8/in.smtpd.8
	rm debian/smail/usr/lib/smail/savelog
	rm debian/smail/usr/share/man/man8/savelog.8
	chmod 755 debian/smail/usr/lib/smail/logsumm.awk
	rm -rf debian/smail/var/mail

	rm $(DIR)/debian/smail/usr/share/man/man1/uupath.1
	rm $(DIR)/debian/smail/usr/share/man/man8/mailq.8
	rm $(DIR)/debian/smail/usr/share/man/man8/newaliases.8
	rm $(DIR)/debian/smail/usr/share/man/man8/rmail.8
	rm $(DIR)/debian/smail/usr/share/man/man8/rsmtp.8
	rm $(DIR)/debian/smail/usr/share/man/man8/sendmail.8
	rm $(DIR)/debian/smail/usr/share/man/man8/in.smtpd.8
	rm $(DIR)/debian/smail/usr/share/man/man8/runq.8
	
	
	dh_link usr/share/man/man1/pathto.1 \
			usr/share/man/man1/uupath.1 \
		usr/share/man/man8/smail.8 \
			usr/share/man/man8/mailq.8 \
		usr/share/man/man8/smail.8 \
			usr/share/man/man8/newaliases.8 \
		usr/share/man/man8/smail.8 \
			usr/share/man/man8/rmail.8 \
		usr/share/man/man8/smail.8 \
			usr/share/man/man8/rsmtp.8 \
		usr/share/man/man8/smail.8 \
			usr/share/man/man8/sendmail.8 \
		usr/share/man/man8/smail.8 \
			usr/share/man/man8/in.smtpd.8 \
		usr/share/man/man8/smail.8 \
			usr/share/man/man8/runq.8

	cp debian/smailconfig.1 $(DIR)/debian/smail/usr/share/man/man1/
	cp debian/smailtest.1 $(DIR)/debian/smail/usr/share/man/man1/
	cp debian/striphdrs.1 $(DIR)/debian/smail/usr/share/man/man1/
	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	set -e
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs PROJECTS README ToDo NOTES/ESMTP NOTES/SIMPLE.DOMAIN NOTES/SMART-HOST NOTES/IANA debian/README.hosts.allow debian/README.multihomed debian/New-Config-Features debian/README.xinetd
#	cp guide/admin/[a-z]* debian/smail/usr/share/doc/smail/guide/
#	cp debian/guidemakefile debian/smail/usr/share/doc/smail/guide/Makefile
	cat COPYING >> debian/smail/usr/share/doc/smail/copyright
	dh_installexamples samples/*
#	rm -r debian/smail/usr/share/doc/smail/examples/AUX-support
	rm -r debian/smail/usr/share/doc/smail/examples/arcnet
	rm -rf debian/smail/usr/share/doc/smail/guide
	(cd guide/admin/ && make admin.ps && make admin.txt && cp admin.* \
		$(DIR)/debian/smail/usr/share/doc/smail/ )

	#rm debian/smail/usr/share/doc/smail/guide/install.gz
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
#	cp debian/init.d debian/smail/etc/init.d/smail
	dh_installcron
#	dh_installmanpages
	dh_installinfo
	dh_undocumented smailconfig.1 smailtest.1 striphdrs.1
	dh_installchangelogs CHANGES
	rm debian/smail/usr/lib/smail/getopt
	dh_link /usr/bin/getopt usr/lib/smail/getopt
	dh_strip
	dh_compress
	(cd debian/smail/usr/share/man/man5 && \
	 ln -s smailconf.5.gz smail-config.5.gz; \
	 ln -s smaildrct.5.gz smail-directors.5.gz; \
	 ln -s smailmeth.5.gz smail-methods.5.gz; \
	 ln -s smailqual.5.gz smail-qualify.5.gz; \
	 ln -s smailrtrs.5.gz smail-routers.5.gz; \
	 ln -s smailrtry.5.gz smail-retry.5.gz; \
	 ln -s smailtrns.5.gz smail-transports.5.gz )

	dh_fixperms

	chown -R mail.root debian/smail/var/spool/uumaps 
	chown -R mail.root debian/smail/usr/lib/smail
	chown -R mail.root debian/smail/var/lib/smail
	chown -R mail.root debian/smail/var/spool/smail
	
	chmod  -R u+w,g-w debian/smail/var/spool/uumaps 
	chmod  -R u+w,g-w debian/smail/etc/smail
	chmod  -R u+w,g-w debian/smail/usr/lib/smail
	chmod  -R u+w,g-w debian/smail/var/lib/smail
	chmod  -R u+w,g-w debian/smail/var/spool/smail
	
	chmod 755 debian/smail/etc/cron.daily/* debian/smail/etc/init.d/* \
		debian/smail/usr/lib/smail/stalelog debian/smail/usr/sbin/* \
		debian/smail/var/spool debian/smail/var/spool/* debian/smail/var/lib/smail
	chmod 2755 debian/smail/var/log/smail

	find debian/smail/usr/sbin debian/smail/usr/lib \! -type l -perm +111 -type f | \
	find debian/smail -type d | xargs chmod g-s
	chmod u+s debian/smail/usr/sbin/smail
	# You may want to make some executables suid here.
#	dh_suidregister /usr/sbin/smail
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
